Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.pattern
Class UnionPattern

    java.lang.Object
      org.jaxen.pattern.Pattern
          org.jaxen.pattern.UnionPattern

public class UnionPattern
extends Pattern

`UnionPattern` represents a union pattern.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.jaxen.pattern.Pattern
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, NO_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`UnionPattern()`
`UnionPattern(Pattern lhs, Pattern rhs)`

Method Summary
`Pattern` | `getLHS()`
`String` | `getMatchesNodeName()` For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches.
`short` | `getMatchType()` Returns the type of node the pattern matches.
`Pattern` | `getRHS()`
`String` | `getText()` Returns a textual representation of this pattern
`Pattern[]` | `getUnionPatterns()` If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern.
`boolean` | `matches(Object node, Context context)`
`void` | `setLHS(Pattern lhs)`
`void` | `setRHS(Pattern rhs)`
`Pattern` | `simplify()`
`String` | `toString()`

Methods inherited from class org.jaxen.pattern.Pattern
`getPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnionPattern

    public UnionPattern()

### UnionPattern

    public UnionPattern(Pattern lhs,
                        Pattern rhs)

Method Detail

### getLHS

    public Pattern getLHS()

### setLHS

    public void setLHS(Pattern lhs)

### getRHS

    public Pattern getRHS()

### setRHS

    public void setRHS(Pattern rhs)

### matches

    public boolean matches(Object node,
                           Context context)
                    throws JaxenException

  Specified by:
    `matches` in class `Pattern`
  Parameters:
    `node` - ????
    `context` - ????
  Returns:
    true if the pattern matches the given node
  Throws:
    `JaxenException` - if ????

### getUnionPatterns

    public Pattern[] getUnionPatterns()

  Description copied from class: `Pattern`
  If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern. Otherwise this method should return null.

  Overrides:
    `getUnionPatterns` in class `Pattern`
  Returns:
    an array of the patterns which make up this union pattern or null if this pattern is not a union pattern

### getMatchType

    public short getMatchType()

  Description copied from class: `Pattern`
  Returns the type of node the pattern matches.

  Overrides:
    `getMatchType` in class `Pattern`
  Returns:
    `ANY_NODE` unless overridden

### getMatchesNodeName

    public String getMatchesNodeName()

  Description copied from class: `Pattern`
  For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches. This allows a more efficient rule matching algorithm to be performed, rather than a brute force approach of evaluating every pattern for a given Node.

  Overrides:
    `getMatchesNodeName` in class `Pattern`
  Returns:
    the name of the element or attribute this pattern matches or null if this pattern matches any or more than one name

### simplify

    public Pattern simplify()

  Overrides:
    `simplify` in class `Pattern`

### getText

    public String getText()

  Description copied from class: `Pattern`
  Returns a textual representation of this pattern

  Specified by:
    `getText` in class `Pattern`
  Returns:
    the usual string form of this XSLT pattern

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.